repo/proj/guru:dev commit in: gui-apps/noctalia-greeter/
"dsaf" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786065756.b569b1b31597057a70518ba51730f130fa5bdab8.ghostyn678+git@gentoo> |
commit: b569b1b31597057a70518ba51730f130fa5bdab8
Author: HAZARD <ghostyn678+git <AT> gmail <DOT> com>
AuthorDate: Fri Aug 7 01:22:36 2026 +0000
Commit: dsaf <ghostyn678+git <AT> gmail <DOT> com>
CommitDate: Fri Aug 7 01:22:36 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b569b1b3
gui-apps/noctalia-greeter: add 1.2.1
Signed-off-by: HAZARD <ghostyn678+git <AT> gmail.com>
gui-apps/noctalia-greeter/Manifest | 1 +
.../noctalia-greeter/noctalia-greeter-1.2.1.ebuild | 73 ++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/gui-apps/noctalia-greeter/Manifest b/gui-apps/noctalia-greeter/Manifest
index bf30675bec..b39a246c70 100644
--- a/gui-apps/noctalia-greeter/Manifest
+++ b/gui-apps/noctalia-greeter/Manifest
@@ -1 +1,2 @@
DIST noctalia-greeter-1.1.0.tar.gz 1897351 BLAKE2B 764280e7aec2801f99f5805d9024d015dc247586f2c7a59e7079d6031a3f322bbef358983cae8989b9453eb56c7c645be2d2c5a5e06ab554842aea4b5251a943 SHA512 d09aef935c5a524eecd0443fb81f686519d4bbf1f1e890642db4a39ea768f779f4850bfe0020a8fad6cfbc070fc8caceab3e95d339cdded4e521a792ad1afd72
+DIST noctalia-greeter-1.2.1.tar.gz 1898496 BLAKE2B 7c7359c153bf88f620a1cf27a4f955fce2cc4cb211b8119ffa0f6398ce4d21d4dd81551ff445345d72d43b47057f3e4783f6d479e87d0730ce3f3574995996ef SHA512 cab92710210faf379186dafa177602733e245482659d7ae6d01cb3ae60463a37beb549fe268fbba8ae7d62b0a2362ce4c0e62da7c0856a676c488d5c2d3357a3
diff --git a/gui-apps/noctalia-greeter/noctalia-greeter-1.2.1.ebuild b/gui-apps/noctalia-greeter/noctalia-greeter-1.2.1.ebuild
new file mode 100644
index 0000000000..8becf57621
--- /dev/null
+++ b/gui-apps/noctalia-greeter/noctalia-greeter-1.2.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson optfeature tmpfiles
+
+DESCRIPTION="A minimal login greeter for greetd that matches Noctalia Shell"
+HOMEPAGE="https://noctalia.dev/ https://github.com/noctalia-dev/noctalia-greeter"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/noctalia-dev/${PN}.git"
+else
+ SRC_URI="https://github.com/noctalia-dev/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+DEPEND="
+ dev-cpp/tomlplusplus
+ dev-cpp/nlohmann_json
+ dev-libs/glib:2
+ dev-libs/libinput
+ dev-libs/wayland
+ dev-libs/stb
+ gnome-base/librsvg:2
+ gui-libs/greetd
+ gui-libs/wlroots:0.20=
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libwebp
+ media-libs/mesa
+ sys-apps/dbus
+ virtual/opengl
+ x11-libs/cairo[glib]
+ x11-libs/libxkbcommon
+ x11-libs/pango
+"
+
+RDEPEND="${DEPEND}"
+
+BDEPEND="
+ dev-libs/wayland
+ dev-util/wayland-scanner
+ dev-libs/wayland-protocols
+"
+
+# TODO: unbundle tabler fonts
+
+src_prepare() {
+ default
+
+ # replace greetd user
+ sed -E -i 's/^(\S+\s+\S+\s+\S+\s+)greeter(\s+)greeter(\s+)/\1greetd\2greetd\3/' data/tmpfiles.d/${PN}.conf
+}
+
+src_install() {
+ meson_src_install
+
+ # remove unneeded additional scripts
+ rm "${ED}"/usr/share/${PN}/*.sh || die
+
+ dotmpfiles data/tmpfiles.d/${PN}.conf
+}
+
+pkg_postinst() {
+ tmpfiles_process ${PN}.conf
+
+ optfeature "avatars" sys-apps/accountsservice
+}